Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:47:57 2009

## Asterisk developer's documentation

# alaw.h File Reference

A-Law to Signed linear conversion. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | AST_ALAW(a) (__ast_alaw[(int)(a)])
#define | AST_LIN2A(a) (__ast_lin2a[((unsigned short)(a)) >> 3])

## Functions

void | ast_alaw_init (void)

## Variables

short | __ast_alaw [256]
unsigned char | __ast_lin2a [8192]

## Detailed Description

A-Law to Signed linear conversion.

Definition in file alaw.h.

## Define Documentation

#define AST_ALAW | ( | a |  | ) | (__ast_alaw[(int)(a)])

Definition at line 41 of file alaw.h.

Referenced by alawtolin_framein(), ast_dsp_process(), fill_rxgain(), fill_txgain(), and load_module().

#define AST_LIN2A | ( | a |  | ) | (__ast_lin2a[((unsigned short)(a)) >> 3])

Definition at line 40 of file alaw.h.

Referenced by fill_rxgain(), fill_txgain(), lintoalaw_framein(), and load_module().

## Function Documentation

void ast_alaw_init | ( | void |  | ) |

Init the ulaw conversion stuff

To init the ulaw to slinear conversion stuff, this needs to be run.

Definition at line 83 of file alaw.c.

References alaw2linear(), and linear2alaw().

Referenced by main().

    00084 {
    00085    int i;
    00086    /*
    00087     *  Set up mu-law conversion table
    00088     */
    00089    for(i = 0;i < 256;i++)
    00090       {
    00091            __ast_alaw[i] = alaw2linear(i);
    00092       }
    00093      /* set up the reverse (mu-law) conversion table */
    00094    for(i = -32768; i < 32768; i++)
    00095       {
    00096       __ast_lin2a[((unsigned short)i) >> 3] = linear2alaw(i);
    00097       }
    00098
    00099 }

## Variable Documentation

short __ast_alaw[256]

help

Definition at line 81 of file alaw.c.

unsigned char __ast_lin2a[8192]

converts signed linear to mulaw

Definition at line 80 of file alaw.c.